Package com.sun.jna.platform.win32

## Class Tlhelp32.THREADENTRY32

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.Tlhelp32.THREADENTRY32

Direct Known Subclasses:
  `Tlhelp32.THREADENTRY32.ByReference`

Enclosing interface:
  Tlhelp32

    @FieldOrder({"dwSize","cntUsage","th32ThreadID","th32OwnerProcessID","tpBasePri","tpDeltaPri","dwFlags"})
    public static class Tlhelp32.THREADENTRY32
    extends Structure

Describes an entry from a list of the threads executing in the system when a snapshot was taken.

### Nested Class Summary

Nested Classes
`static class` `Tlhelp32.THREADENTRY32.ByReference`

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`int` `cntUsage` This member is no longer used and is always set to zero.
`int` `dwFlags` This member is no longer used and is always set to zero.
`int` `dwSize` The size of the structure, in bytes.
`int` `th32OwnerProcessID` The identifier of the process that created the thread.
`int` `th32ThreadID` The thread identifier, compatible with the thread identifier returned by the CreateProcess function.
`NativeLong` `tpBasePri` The kernel base priority level assigned to the thread.
`NativeLong` `tpDeltaPri` This member is no longer used and is always set to zero.

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
`THREADENTRY32()`
`THREADENTRY32​(Pointer memory)`

### Method Summary

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### dwSize

    public int dwSize

The size of the structure, in bytes. Before calling the Thread32First function, set this member to sizeof(THREADENTRY32). If you do not initialize dwSize, Thread32First fails.

#### cntUsage

    public int cntUsage

This member is no longer used and is always set to zero.

#### th32ThreadID

    public int th32ThreadID

The thread identifier, compatible with the thread identifier returned by the CreateProcess function.

#### th32OwnerProcessID

    public int th32OwnerProcessID

The identifier of the process that created the thread.

#### tpBasePri

    public NativeLong tpBasePri

The kernel base priority level assigned to the thread. The priority is a number from 0 to 31, with 0 representing the lowest possible thread priority. For more information, see KeQueryPriorityThread.

#### tpDeltaPri

    public NativeLong tpDeltaPri

This member is no longer used and is always set to zero.

#### dwFlags

    public int dwFlags

This member is no longer used and is always set to zero.

### Constructor Detail

#### THREADENTRY32

    public THREADENTRY32()

#### THREADENTRY32

    public THREADENTRY32​(Pointer memory)